package com.steering.mes.zgmil.entity;


/**
 * 数据库表MIL_CONTROL_LOG所对应的实体类（生成工具：代码生成器3.0）
 * @author DESKTOP-U12E50B   date 2016-05-27
 */
public class MilControlLogEntity implements java.io.Serializable {
    /**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	/**
     * GUID主键
     */
    private String controlId = "";
    /**
     * 日志开始时间(‘YYYYMMDDhhmm’)
     */
    private String logsBeg = "";
    /**
     * 日志结束时间(‘YYYYMMDDhhmm’)
     */
    private String logsEnd = "";
    /**
     * 机组
     */
    private String plineCode = "";
    /**
     * 熔炼炉号
     */
    private String stoveNo = "";
    /**
     * 判定炉号
     */
    private String judgeStoveNo = "";
    /**
     * 生产批号 
     */
    private String lotNo = "";
    /**
     * 工序合同号
     */
    private String contractNo = "";
    /**
     * 执行工艺号
     */
    private String impProcess = "";
    /**
     * 监制
     */
    private String producer = "";
    /**
     * 用户
     */
    private String finishUser = "";
    /**
     * 目标库
     */
    private String targetLiabrary = "";
    /**
     * 品种
     */
    private String varieties = "";
    /**
     * 规格
     */
    private String pipeSize = "";
    /**
     * 扣型
     */
    private String buckleType = "";
    /**
     * 长度范围
     */
    private String lengthRange = "";
    /**
     * 轧管判定标准
     */
    private String rollStandrad = "";
    /**
     * 断面
     */
    private String pipeSection = "";
    /**
     * 钢级代码
     */
    private String steelcode = "";
    /**
     * 钢级名称
     */
    private String steelname = "";
    /**
     * 钢种代码
     */
    private String gradecode = "";
    /**
     * 钢种名称
     */
    private String gradename = "";
    /**
     * 炼钢判定标准
     */
    private String steelStandrad = "";
    /**
     * 去向
     */
    private String target = "";
    /**
     * 生产班次
     */
    private String proBc = "";
    /**
     * 生产班组
     */
    private String proBz = "";
    /**
     * 合格支数
     */
    private String qualifiedNum = "";
    /**
     * 合格吨
     */
    private String qualifiedWt = "";
    /**
     * 废品支数
     */
    private String scrapNum = "";
    /**
     * 废品吨
     */
    private String scrapWt = "";
    /**
     * 生产分类（1正常、2停机)
     */
    private String proType = "";
    /**
     * 停机分类
     */
    private String stopType = "";
    /**
     * 停机原因
     */
    private String stopReason = "";
    /**
     * 操作日期
     */
    private String userDate = "";
    /**
     * 操作人姓名
     */
    private String userName = "";
    /**
     * 操作人编号
     */
    private String userId = "";
    /**
     * 停机小类
     */
    private String stopSmall = "";
    /**
     * 确认时间
     */
    private String confirmTime = "";
    /**
     * 确认人
     */
    private String confirmName = "";
    /**
     * 确认状态（1.确认，0.未确认）
     */
    private String confirmFlag = "";
    
    /**
     * 结算日期（年月）
     */
    private String balYearMonth = "";
    /**
     * 生产年月日
     */
    private String procDate = "";
    /**
    /**
     * 交接班状态（0.无交接班，1.交班，2.接班）
     */
    private String  changeShiftFlag;
    /**
     * 结炉状态（0.未结炉，1.结炉）
     */
    private String nodeFlag;
    /**
     * 轧管订单编号
     */
    private String proPlanId;
    
    /**
     * 工序排产序号
     */
    private String gxPlanNo;

    /**
     * 修改人
     */
    private String updatename = "";
    /**
     * 修改时间
     */
    private String updatedate = "";

    public String getChangeShiftFlag() {
		return changeShiftFlag;
	}

	public void setChangeShiftFlag(String changeShiftFlag) {
		this.changeShiftFlag = changeShiftFlag;
	}

	public String getNodeFlag() {
		return nodeFlag;
	}

	public void setNodeFlag(String nodeFlag) {
		this.nodeFlag = nodeFlag;
	}

	/**
     * GUID主键
     * @return value
     */
    public String getControlId() {
        return controlId;
    }

    /**
     * GUID主键
     * @param controlId value
     */
    public void setControlId(String controlId) {
        this.controlId = controlId;
    }

    /**
     * 日志开始时间(‘YYYYMMDDhhmm’)
     * @return value
     */
    public String getLogsBeg() {
        return logsBeg;
    }

    /**
     * 日志开始时间(‘YYYYMMDDhhmm’)
     * @param logsBeg value
     */
    public void setLogsBeg(String logsBeg) {
        this.logsBeg = logsBeg;
    }

    /**
     * 日志结束时间(‘YYYYMMDDhhmm’)
     * @return value
     */
    public String getLogsEnd() {
        return logsEnd;
    }

    /**
     * 日志结束时间(‘YYYYMMDDhhmm’)
     * @param logsEnd value
     */
    public void setLogsEnd(String logsEnd) {
        this.logsEnd = logsEnd;
    }

    /**
     * 机组
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 机组
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 熔炼炉号
     * @return value
     */
    public String getStoveNo() {
        return stoveNo;
    }

    /**
     * 熔炼炉号
     * @param stoveNo value
     */
    public void setStoveNo(String stoveNo) {
        this.stoveNo = stoveNo;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 生产批号 
     * @return value
     */
    public String getLotNo() {
        return lotNo;
    }

    /**
     * 生产批号 
     * @param lotNo value
     */
    public void setLotNo(String lotNo) {
        this.lotNo = lotNo;
    }

    /**
     * 工序合同号
     * @return value
     */
    public String getContractNo() {
        return contractNo;
    }

    /**
     * 工序合同号
     * @param contractNo value
     */
    public void setContractNo(String contractNo) {
        this.contractNo = contractNo;
    }

    /**
     * 执行工艺号
     * @return value
     */
    public String getImpProcess() {
        return impProcess;
    }

    /**
     * 执行工艺号
     * @param impProcess value
     */
    public void setImpProcess(String impProcess) {
        this.impProcess = impProcess;
    }

    /**
     * 监制
     * @return value
     */
    public String getProducer() {
        return producer;
    }

    /**
     * 监制
     * @param producer value
     */
    public void setProducer(String producer) {
        this.producer = producer;
    }

    /**
     * 用户
     * @return value
     */
    public String getFinishUser() {
        return finishUser;
    }

    /**
     * 用户
     * @param finishUser value
     */
    public void setFinishUser(String finishUser) {
        this.finishUser = finishUser;
    }

    /**
     * 目标库
     * @return value
     */
    public String getTargetLiabrary() {
        return targetLiabrary;
    }

    /**
     * 目标库
     * @param targetLiabrary value
     */
    public void setTargetLiabrary(String targetLiabrary) {
        this.targetLiabrary = targetLiabrary;
    }

    /**
     * 品种
     * @return value
     */
    public String getVarieties() {
        return varieties;
    }

    /**
     * 品种
     * @param varieties value
     */
    public void setVarieties(String varieties) {
        this.varieties = varieties;
    }

    /**
     * 规格
     * @return value
     */
    public String getPipeSize() {
        return pipeSize;
    }

    /**
     * 规格
     * @param pipeSize value
     */
    public void setPipeSize(String pipeSize) {
        this.pipeSize = pipeSize;
    }

    /**
     * 扣型
     * @return value
     */
    public String getBuckleType() {
        return buckleType;
    }

    /**
     * 扣型
     * @param buckleType value
     */
    public void setBuckleType(String buckleType) {
        this.buckleType = buckleType;
    }

    /**
     * 长度范围
     * @return value
     */
    public String getLengthRange() {
        return lengthRange;
    }

    /**
     * 长度范围
     * @param lengthRange value
     */
    public void setLengthRange(String lengthRange) {
        this.lengthRange = lengthRange;
    }

    /**
     * 轧管判定标准
     * @return value
     */
    public String getRollStandrad() {
        return rollStandrad;
    }

    /**
     * 轧管判定标准
     * @param rollStandrad value
     */
    public void setRollStandrad(String rollStandrad) {
        this.rollStandrad = rollStandrad;
    }

    /**
     * 断面
     * @return value
     */
    public String getPipeSection() {
        return pipeSection;
    }

    /**
     * 断面
     * @param pipeSection value
     */
    public void setPipeSection(String pipeSection) {
        this.pipeSection = pipeSection;
    }

    /**
     * 钢级代码
     * @return value
     */
    public String getSteelcode() {
        return steelcode;
    }

    /**
     * 钢级代码
     * @param steelcode value
     */
    public void setSteelcode(String steelcode) {
        this.steelcode = steelcode;
    }

    /**
     * 钢级名称
     * @return value
     */
    public String getSteelname() {
        return steelname;
    }

    /**
     * 钢级名称
     * @param steelname value
     */
    public void setSteelname(String steelname) {
        this.steelname = steelname;
    }

    /**
     * 钢种代码
     * @return value
     */
    public String getGradecode() {
        return gradecode;
    }

    /**
     * 钢种代码
     * @param gradecode value
     */
    public void setGradecode(String gradecode) {
        this.gradecode = gradecode;
    }

    /**
     * 钢种名称
     * @return value
     */
    public String getGradename() {
        return gradename;
    }

    /**
     * 钢种名称
     * @param gradename value
     */
    public void setGradename(String gradename) {
        this.gradename = gradename;
    }

    /**
     * 炼钢判定标准
     * @return value
     */
    public String getSteelStandrad() {
        return steelStandrad;
    }

    /**
     * 炼钢判定标准
     * @param steelStandrad value
     */
    public void setSteelStandrad(String steelStandrad) {
        this.steelStandrad = steelStandrad;
    }

    /**
     * 去向
     * @return value
     */
    public String getTarget() {
        return target;
    }

    /**
     * 去向
     * @param target value
     */
    public void setTarget(String target) {
        this.target = target;
    }

    /**
     * 生产班次
     * @return value
     */
    public String getProBc() {
        return proBc;
    }

    /**
     * 生产班次
     * @param proBc value
     */
    public void setProBc(String proBc) {
        this.proBc = proBc;
    }

    /**
     * 生产班组
     * @return value
     */
    public String getProBz() {
        return proBz;
    }

    /**
     * 生产班组
     * @param proBz value
     */
    public void setProBz(String proBz) {
        this.proBz = proBz;
    }

    /**
     * 合格支数
     * @return value
     */
    public String getQualifiedNum() {
        return qualifiedNum;
    }

    /**
     * 合格支数
     * @param qualifiedNum value
     */
    public void setQualifiedNum(String qualifiedNum) {
        this.qualifiedNum = qualifiedNum;
    }

    /**
     * 合格吨
     * @return value
     */
    public String getQualifiedWt() {
        return qualifiedWt;
    }

    /**
     * 合格吨
     * @param qualifiedWt value
     */
    public void setQualifiedWt(String qualifiedWt) {
        this.qualifiedWt = qualifiedWt;
    }

    /**
     * 废品支数
     * @return value
     */
    public String getScrapNum() {
        return scrapNum;
    }

    /**
     * 废品支数
     * @param scrapNum value
     */
    public void setScrapNum(String scrapNum) {
        this.scrapNum = scrapNum;
    }

    /**
     * 废品吨
     * @return value
     */
    public String getScrapWt() {
        return scrapWt;
    }

    /**
     * 废品吨
     * @param scrapWt value
     */
    public void setScrapWt(String scrapWt) {
        this.scrapWt = scrapWt;
    }

    /**
     * 生产分类（1正常、2停机)
     * @return value
     */
    public String getProType() {
        return proType;
    }

    /**
     * 生产分类（1正常、2停机)
     * @param proType value
     */
    public void setProType(String proType) {
        this.proType = proType;
    }

    /**
     * 停机分类
     * @return value
     */
    public String getStopType() {
        return stopType;
    }

    /**
     * 停机分类
     * @param stopType value
     */
    public void setStopType(String stopType) {
        this.stopType = stopType;
    }

    /**
     * 停机原因
     * @return value
     */
    public String getStopReason() {
        return stopReason;
    }

    /**
     * 停机原因
     * @param stopReason value
     */
    public void setStopReason(String stopReason) {
        this.stopReason = stopReason;
    }

    /**
     * 操作日期
     * @return value
     */
    public String getUserDate() {
        return userDate;
    }

    /**
     * 操作日期
     * @param userDate value
     */
    public void setUserDate(String userDate) {
        this.userDate = userDate;
    }

    /**
     * 操作人姓名
     * @return value
     */
    public String getUserName() {
        return userName;
    }

    /**
     * 操作人姓名
     * @param userName value
     */
    public void setUserName(String userName) {
        this.userName = userName;
    }

    /**
     * 操作人编号
     * @return value
     */
    public String getUserId() {
        return userId;
    }

    /**
     * 操作人编号
     * @param userId value
     */
    public void setUserId(String userId) {
        this.userId = userId;
    }

    /**
     * 停机小类
     * @return value
     */
    public String getStopSmall() {
        return stopSmall;
    }

    /**
     * 停机小类
     * @param stopSmall value
     */
    public void setStopSmall(String stopSmall) {
        this.stopSmall = stopSmall;
    }

    /**
     * 确认时间
     * @return value
     */
    public String getConfirmTime() {
        return confirmTime;
    }

    /**
     * 确认时间
     * @param confirmTime value
     */
    public void setConfirmTime(String confirmTime) {
        this.confirmTime = confirmTime;
    }

    /**
     * 确认人
     * @return value
     */
    public String getConfirmName() {
        return confirmName;
    }

    /**
     * 确认人
     * @param confirmName value
     */
    public void setConfirmName(String confirmName) {
        this.confirmName = confirmName;
    }

    /**
     * 确认状态（1.确认，0.未确认）
     * @return value
     */
    public String getConfirmFlag() {
        return confirmFlag;
    }

    /**
     * 确认状态（1.确认，0.未确认）
     * @param confirmFlag value
     */
    public void setConfirmFlag(String confirmFlag) {
        this.confirmFlag = confirmFlag;
    }

    /**
     * 结算日期（年月）
     * @return value
     */
    public String getBalYearMonth() {
        return balYearMonth;
    }

    /**
     * 结算日期（年月）
     * @param balYearMonth value
     */
    public void setBalYearMonth(String balYearMonth) {
        this.balYearMonth = balYearMonth;
    }

    /**
     * 生产年月日
     * @return value
     */
    public String getProcDate() {
        return procDate;
    }

    /**
     * 生产年月日
     * @param procDate value
     */
    public void setProcDate(String procDate) {
        this.procDate = procDate;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdatename() {
        return updatename;
    }

    /**
     * 修改人
     * @param updatename value
     */
    public void setUpdatename(String updatename) {
        this.updatename = updatename;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdatedate() {
        return updatedate;
    }

    /**
     * 修改时间
     * @param updatedate value
     */
    public void setUpdatedate(String updatedate) {
        this.updatedate = updatedate;
    }



	public String getProPlanId() {
		return proPlanId;
	}

	public void setProPlanId(String proPlanId) {
		this.proPlanId = proPlanId;
	}

	public String getGxPlanNo() {
		return gxPlanNo;
	}

	public void setGxPlanNo(String gxPlanNo) {
		this.gxPlanNo = gxPlanNo;
	}
    
}